.c-banner {
  $pf: &;

  position: relative;
  height: auto;
  width: 100%;
  overflow: hidden;
 
  &:before {
    content: '';
    width: 100%;
    height: 100%;
    position: absolute;
    top: 0;
    left: 0;
    background-color: $blue;
    opacity: .5;
    z-index: 2;
  }

  &__content {
    position: relative;
    z-index: 3;
    display: flex;
    flex-direction: column;
  }

  &__visual {
    position: absolute;
    top: 0;
    left: 0;
    display: flex;
    width: 100%;
    height: 100%;
    overflow: hidden;

    &__img {
      object-fit: cover;
      width: 100%;
      height: 100%;
    }

    &__copyright {
      position: absolute;
      bottom: 1rem;
      left: 1rem;
      color: $white;
      font-size: 1.5rem;
      font-style: italic;
    }
  }

  &--context_pages {
    height: 70vh;

    #{$pf}__visual {
      &__img {
        filter: grayscale(1);
      }
    }

    #{$pf}__content {
      align-items: center;
      justify-content: center;
      height: 100%;
      max-width: 60rem;
      margin: 0 auto;
      text-align: center; 
      color: $white;
    }
  }

  &--context_posts {
    height: 60vh;

    @include md {
      min-height: 50rem;
    }
    
    .background {
      position: relative;
      height: 100%;
    }

    #{$pf}__visual {
      display: none;
    }

    #{$pf}__content {
      align-items: center;
      justify-content: center;
      height: 100%;
      max-width: 100rem;
      margin: 0 auto;
      text-align: center; 
      color: $white;
    }
  }

  &--context_post_details {
    height: 100vh;
  }

  &--context_home {
    height: 100vh;

    #{$pf}__visual {
      &__img {
        filter: grayscale(1);
      }
    }

    #{$pf}__content {
      justify-content: flex-end;
      height: 100%;
      padding: 0 1rem 7rem 1rem;

      @include xs {
        padding: 0 4rem 7rem 4rem;
      }

      &__title {
        display: flex;
        flex-direction: column;
        color: $white;
        font-size: 3rem;
        line-height: 4.3rem;
        letter-spacing: -0.1rem;

        @include xs {
          font-size: 6vw;
          line-height: 7.5vw;
        }

        span {
          z-index: 4;

          @include sm {
            &:nth-child(even) {
              align-self: flex-end;
            }
          }
        }
      }

      &__text {
        color: $white;
        font-size: 1.2rem;

        @include sm {
          width: 40rem;
          text-transform: inherit;
        }

        @include md {
          position: absolute;
          bottom: 8rem;
          right: 10%;
          width: 33rem;
        }

        @include lg {
          right: 14vw;
          bottom: 10rem;
        }

        @include xl {
          right: 22vw;
        }

        &--small {
          color: $cyan;
          font-size: 1.5rem;
          font-weight: 500;
          text-transform: uppercase;

          @include md {
            position: absolute;
            right: 5rem;
            bottom: 22vw;
            font-size: 2rem;
          }

          @include lg {
            bottom: 20vw;
          }

          @include xl {
            bottom: 19vw;
          }
        }
      }
    }
  }

  &--context_post_details,
  &--context_posts {
    &:before {
      display: none;
    }
  }
}